plotutils (2.6-6) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 12 Jan 2016 19:14:42 +0100

plotutils (2.6-5) experimental; urgency=medium

  * Add Vcs-*, pointing to git repository in collab-maint.
  * Drop ancient Conflicts/Replaces: spline (<= 1.0-4), the nonconflicting
    version of spline was uploaded in 1997.
  * Switch to multi-arch.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 09 Jan 2016 18:16:19 +0100

plotutils (2.6-4) experimental; urgency=medium

  * Adopt package. Thanks to Floris! Closes: #767988
  * Comment Vcs-*, I am not using HG.
  * Convert to dh, use debhelper v9 mode.
  * Drop 03_bison, instead remove pic2plot/gram.(cc|hh) to regenerate the
    files from pic2plot/gram.yy.
  * 21_plot2svg_test.diff: 20_svg_attribute_syntax introduces a whitespace
    change which breaks the testsuite, update output file.
  * 31_fedora_plotutils-werror-format-security.patch: Fix FTBFS with
    -Werror=format-security. - Patch from Fedora.
  * Drop AM_MAINTAINER_MODE (we are using dh_autoreconf!) rename
    01_configure_ac to 01_AC_PROG_CXX.diff, since we keep the addition of
    AC_PROG_CXX.
  * Delete ancient unused auto-files in libxmi/ on clean, drop
    source.lintian-overrides.
  * Change libplot-dev dependency from libpng12-0-dev to libpng-dev.
  * Upload to experimental.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 07 Jan 2016 19:49:48 +0100

plotutils (2.6-3) unstable; urgency=low

  * Bump standards-version to 3.9.3, no changes needed
  * Build-depend on libpng-dev instead of libpng12-dev (closes: #662469)
  * Re-work package descriptions to not start with an article
  * Add debian/source/options and set extend-diff-ignore to ignore
    all files modified by auroreconf.

 -- Floris Bruynooghe <flub@devork.be>  Tue, 06 Mar 2012 23:09:55 +0000

plotutils (2.6-2) unstable; urgency=low

  * Correct svg syntax error (thanks Roland Stigge) (closes: #617993).
  * Add fix for libpng 1.5 (patch from Thomas Klausner).
  * Fix Hershey pointing hands glyphs (patch from Roland Münzberg).
  * Update maitainer email address.

 -- Floris Bruynooghe <flub@devork.be>  Mon, 14 Mar 2011 23:13:19 +0000

plotutils (2.6-1) unstable; urgency=low

  * New upstream release (closes: #590323).
  * Convert to dpkg-source 3.0 (quilt) format.
  * Add debian/hersheydemo.1 for manpage of hersheydemo.
  * Bump Standards-Version to 3.9.1:
    - No longer install libtool .la files
  * debian/rules: let install targets depend on build targets rather
    then binary targets depend on both build and install.
  * debian/backup.sh: do not back up ltconfig and stamp-h.in, they
    are no longer shipped upstream.
  * Add Vcs-* headers to debian/control.
  * Use --list-missing for dh_install
  * Use dh_autoreconf instead of custom debian/backup.sh script.
  * Add some libplot doc files to libplot2c2.installdocs.

 -- Floris Bruynooghe <flub@devork.be>  Wed, 16 Feb 2011 18:28:33 +0000

plotutils (2.5-4) unstable; urgency=low

  * debian/control:
    - Build-depend on debhelper >= 7.2.17 to use triggers to install
      the info documents instead of install-info (Closes: #546669).
    - Bump standards-version to 3.8.3.
  * debian/rules: remove generated config.status.lineno on clean.

 -- Floris Bruynooghe <floris.bruynooghe@gmail.com>  Sat, 19 Sep 2009 18:19:47 +0000

plotutils (2.5-3) unstable; urgency=low

  * debian/patches/01_configure_ac.dpatch: add AC_PROG_CXX (Closes: #526583).
  * debian/control: add Homepage field, bump standards-version to 3.8.2.
  * debian/README.source: added to comply with Policy section 4.14.
  * debian/rules: don't ignore errors from "make distclean".
  * debian/copyright: update blurb to standard GPL v2 or later notice.
  * debian/source.lintian-overrides: added.

 -- Floris Bruynooghe <floris.bruynooghe@gmail.com>  Thu, 25 Jun 2009 18:26:29 +0000

plotutils (2.5-2) unstable; urgency=low

  * Upload to unstable.

 -- Floris Bruynooghe <floris.bruynooghe@gmail.com>  Thu, 10 May 2007 19:48:54 +0100

plotutils (2.5-1) experimental; urgency=low

  * New upstream release
  * Dropped dpatch patches: 01, 02, 04, 05, 06, 07, 08, 09, 12, 13.
  * 10_repair_postscript.dpatch: fonts are fixed upstream so that part of
    patch is dropped.
  * debian/backup.sh: drop acconfig.h, replace config.h.in by config.hin.
  * debian/README.Debian: dropped as 2.4 was in oldstable as well as stable.
  * debian/rules:
    - Add AUTOMAKE variable to autoreconf call.
    - Introduce $(confflags) so that --host is not passed to configure when
      not cross-compiling, since it enters corss-compile mode otherwise.
  * Add new dpatch: 01_configure_ac to enable AM_MAINTAINER_MODE.
  * debian/compat: increased debhelper compatibility to 5.

 -- Floris Bruynooghe <floris.bruynooghe@gmail.com>  Fri,  1 Dec 2006 23:45:34 +0000

plotutils (2.4.1-15) unstable; urgency=low

  * 14_manpage_spline.dpatch: correct long option of -n (Closes: #247208).
  * debian/control: changed maintainer email address, old will expire soon.
  * Changed libpng12-0-dev (virtual) to libpng12-dev (real) in Build-Depends.

 -- Floris Bruynooghe <floris.bruynooghe@gmail.com>  Sat, 10 Jun 2006 22:30:09 +0100

plotutils (2.4.1-14) unstable; urgency=low

  * debian/control: libplot-dev now depends on libplot2c2 instead
    of the old (before C++ ABI transition) libplot2.
  * debian/control: changed libplot-dev section to libdevel.
  * debian/control: increased standards version to 3.6.2 (no changes needed).

 -- Floris Bruynooghe <fb102@soton.ac.uk>  Sun, 10 Jul 2005 17:40:17 +0200

plotutils (2.4.1-13) unstable; urgency=low

  * Changes by Floris Bruynooghe:
  - New maintainer (Closes: #279827).
  - debian/rules: rewritten to use dpatch and keep a clean upstream
    tree.  Autotools are thus called during build time.
  - debian/plotutils.install: removed libplot documentation line as
    it was a duplicated in debian/libplot-dev.install and is more
    appropriate there.
  - Improved patch for incorrect postscript output.
  - info/plotutils.texi: fixed @xref call which did issue a warning.
  - debian/plotutils.docs: added, replaces variable in debian/rules for
    dh_installdocs.
  - debian/plotutils.manpages: added, replaces variable in debian/rules
    for dh_installman.
  * Changes by Santiago Vila:
  - New C++ ABI. Renamed libplot2 to libplot2c2.
  - Added libplot2 to Conflicts and Replaces.
  - Dropped special casing of -mieee in CFLAGS for alpha.

 -- Santiago Vila <sanvila@debian.org>  Thu,  7 Jul 2005 15:42:12 +0200

plotutils (2.4.1-12) unstable; urgency=low

  * QA upload.
  * libplot/p_header.h: Replace `[FontBBox]' with `/FontBBox load'.
    Closes: #274980.
  * info/ode.1, info/plot.1, info/plotfont.1, info/tek2plot.1: Prevent .SB
    macro definition from showing up in whatis(1) output.  Closes: #206507.
  * info/plotutils.texi: Remove repeated directory entry.  Closes: #294051.
  * Replace `Build-Depends: xlibs-dev' with individual -dev packages.
    Closes: #271520.
  * Add watch file.
  * Conforms to Standards version 3.6.1.

 -- Matej Vela <vela@debian.org>  Sat,  7 May 2005 01:03:07 +0200

plotutils (2.4.1-11) unstable; urgency=low

  * QA Upload orphaning the package
  * Set maintainer to QA Group
  * Bug fix: "plotutils: libplot is GPL not LGPL", thanks to Neil
    Schemenauer (Closes: #200532). Further enhancements to
    the copyright file.

 -- Frank Lichtenheld <djpig@debian.org>  Sat, 27 Nov 2004 19:21:40 +0100

plotutils (2.4.1-10) unstable; urgency=low

  * The "Add the damn files to CVS" release.
  * Include debian/plotutils.install tomy CVS repository so the package
    actually includes the binaries,
  Closes: #182507

 -- Stephen Zander <gibreel@debian.org>  Tue, 25 Feb 2003 21:48:51 -0800

plotutils (2.4.1-9) unstable; urgency=low

  * The 2.4 release of plotutils introduced a setmatrix operation that
    allows the user provides a transformation matrix from the user
    coordinates to normalized device coordinates (NDC).  The NDC are
    defined as a viewport with coordinates of (0,0), (1,0), (1,1), (0,1).
    This change means, however, that plots based on a larger coordinate
    system need to include a setmatrix operation at the beginning of each
    page.  The details of this change are now mentioned in the
    README.Debian,
  Closes: #127434
  * Rename the library package to include the major SONAME in the package
    name (libplot2).  This has the added advantage of avoiding the use the
    *c102 naming convention.
  Closes: #145968
  * Rebuild using gcc-3.2 & g++-3.2,
  Closes: #177938
  * Rebuild with libpng12-0,
  Closes: #178658

 -- Stephen Zander <gibreel@debian.org>  Sat, 22 Feb 2003 13:40:57 -0800

plotutils (2.4.1-8) unstable; urgency=low

  * Add '-mieee' to CFLAGS for alpha architecture to prevent SIGPFE,
  Closes: #144575
  * Fix invocation of dh_installinfo so that info files get installed
    correctly,
  Closes: #159143
  * Update the dependencies for libplot-dev to include all the -dev
    Build-Depends packages,
  Closes: #159331

 -- Stephen Zander <gibreel@debian.org>  Mon,  9 Sep 2002 05:58:27 -0700

plotutils (2.4.1-7) unstable; urgency=high

  * Fix yet another missing build depndency, this time it's texinfo,
  Closes: #127340

 -- Stephen Zander <gibreel@debian.org>  Tue,  1 Jan 2002 21:30:07 -0800

plotutils (2.4.1-6) unstable; urgency=high

  * Really, really fix the bppa build errors.

 -- Stephen Zander <gibreel@debian.org>  Sun, 30 Dec 2001 21:55:10 -0800

plotutils (2.4.1-5) unstable; urgency=high

  * Really fix hppa build errors, Closes: #104914
  * Really close the other build dependency bug, Closes: #103133

 -- Stephen Zander <gibreel@debian.org>  Thu,  6 Dec 2001 13:49:59 -0800

plotutils (2.4.1-4) unstable; urgency=high

  * Automatically update libtool files, Closes: #96320
  * Drop reference to xv program in documentation, Closes: #97567
  * Fix corruption in info files, Closes: #97740, #119548
  * Add missing build dependencies, Closes: #103113, #111846
  * Automatically update config.sub & config.guess, Closes: #104914
  * Remove uncompressed documentation when compressed versions exist,
    Closes: #110534

 -- Stephen Zander <gibreel@debian.org>  Wed,  5 Dec 2001 23:26:56 -0800

plotutils (2.4.1-3) unstable; urgency=low

  * Fix missing build-depends, Closes: #89870

 -- Stephen Zander <gibreel@debian.org>  Mon,  2 Apr 2001 21:51:56 -0700

plotutils (2.4.1-2) unstable; urgency=low

  * Fix missing Replaces to prevent package conflicts, Closes: #85639
  * Close the right bug for new upstream source, Closes: #81523
  * Fix missing '#!/bin/sh' in libplot.postrm, Closes: #85714

 -- Stephen Zander <gibreel@debian.org>  Mon, 12 Feb 2001 10:40:08 -0800

plotutils (2.4.1-1) unstable; urgency=low

  * New maintainer, Closes: #68114
  * New upstream release.  See /usr/doc/plotutils/NEWS.gz, Closes: #81532
  * Now correctly provides shlib information, Closes: #52723
  * Fixed breakage in libplot.a, Closes: #77717
  * Fixed breakage in interaction with xfonts-cyrillic, Closes: #74721
  * Split libraries and development files from main package, Closes: #36202
  * All wishlist bugs fulfilled, Closes: #20011, #36192

 -- Stephen Zander <gibreel@debian.org>  Fri,  9 Feb 2001 12:49:30 -0800

plotutils (2.3-1) unstable; urgency=low

  * New upstream release.  See /usr/doc/plotutils/NEWS.gz.
  * Enable libxmi.  This has an independent upstream existence and should
    eventually be treated as such.

 -- Rob Browning <rlb@cs.utexas.edu>  Sat, 15 Jan 2000 11:35:39 -0600

plotutils (2.2-2) unstable; urgency=low

  * Enable libplotter. (Closes: Bug#48647)

 -- Rob Browning <rlb@cs.utexas.edu>  Sat, 30 Oct 1999 19:16:44 -0500

plotutils (2.2-1) unstable; urgency=low

  * New upstream release.  See /usr/doc/plotutils/NEWS.gz.
    (Closes: #35299)

 -- Rob Browning <rlb@cs.utexas.edu>  Fri,  2 Apr 1999 16:16:15 -0600

plotutils (2.1.6-1) unstable; urgency=low

  * New upstream release.  See /usr/doc/plotutils/NEWS.gz.

 -- Rob Browning <rlb@cs.utexas.edu>  Mon, 12 Oct 1998 16:23:18 -0500

plotutils (2.1.5-1) unstable; urgency=low

  * New upstream release.  See /usr/doc/plotutils/NEWS.gz.
  * Started using cvs-buildpackage.
  * Leave /usr/doc/plotutils/ode/* uncompressed (Closes: Bug#19629)
  * Rules file improvements.
  * Fix shared lib linking to other libs (Closes: Bug#16558)

 -- Rob Browning <rlb@cs.utexas.edu>  Thu, 17 Sep 1998 00:37:33 -0500

plotutils (2.1.4-1) unstable; urgency=low

  * New upstream release.  See /usr/doc/plotutils/NEWS.gz.
  * Many package bugs fixed too.

 -- Rob Browning <rlb@cs.utexas.edu>  Sun, 26 Jul 1998 22:47:02 -0500

plotutils (2.1-1) unstable; urgency=low

  * New upstream release (multidimensional splines, etc.  See NEWS)

 -- Rob Browning <rlb@cs.utexas.edu>  Sat, 25 Apr 1998 20:56:48 -0500

plotutils (2.0-2) unstable frozen; urgency=low

  * Fixed bugs in handling Xdrawable plotters (they were completely
    unusable before).

 -- Rob Browning <rlb@cs.utexas.edu>  Sun,  5 Apr 1998 19:21:05 -0500

plotutils (2.0-1) unstable; urgency=low

  * new upstream release

 -- Rob Browning <rlb@cs.utexas.edu>  Thu,  5 Mar 1998 01:29:44 -0600

plotutils (1.3-3) unstable; urgency=low

  * Correct debian/copright to reflect that libraries are LGPL.
    Closes: Bug# 15151

 -- Rob Browning <rlb@cs.utexas.edu>  Wed, 26 Nov 1997 09:23:22 -0600

plotutils (1.3-2) unstable; urgency=low

  * Conflict and replace spline (<= 1.0-4)

 -- Rob Browning <rlb@cs.utexas.edu>  Sun, 12 Oct 1997 14:35:57 -0500

plotutils (1.3-1) unstable; urgency=low

  * Initial release

 -- Rob Browning <rlb@cs.utexas.edu>  Thu,  9 Oct 1997 03:01:17 -0500


